/********** Template CSS **********/
:root {
    --primary: #06BBCC;
    --warning: orange;
    --light: #F0FBFC;
    --dark: #181d38;
}

/* Chrome, Safari, Edge, Opera */
.removeUpDownArrow::-webkit-outer-spin-button,
.removeUpDownArrow::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
.removeUpDownArrow {
    -moz-appearance: textfield;
}

.contentDiv img{
    width: 90% !important;
    height: 90% !important;
    display: block !important;
    margin-left: auto;
    margin-right: auto;
}
.contentDiv p, li, div, span{
    text-align: justify;
}

.fw-medium {
    font-weight: 600 !important;
}

.fw-semi-bold {
    font-weight: 700 !important;
}

@keyframes bounceSequence {
  0% {
    transform: translateY(0);
  }
  10% {
    transform: translateY(-20px);
  }
  20% {
    transform: translateY(0);
  }
  30% {
    transform: translateY(-12px);
  }
  40% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(0); /* Rest */
  }
}

.animate-bounce-sequence {
  animation: bounceSequence 3s ease-in-out infinite;
}

.my-live-chat-option {
    position: fixed;
    right: 40px;
    bottom: 73px;
    z-index: 99;
}
.my-chat-items-display-none{
    display: none;
}
.live-chat-item-whatsapp {
    position: fixed;
    right: 40px;
    bottom: 120px;
    z-index: 99;
}
.live-chat-item-call {
    position: fixed;
    right: 40px;
    bottom: 165px;
    z-index: 99;
}
.live-chat-item-telegram {
    position: fixed;
    right: 40px;
    bottom: 210px;
    z-index: 99;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 40px;
    bottom: 25px;
    z-index: 99;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    font-family: 'Nunito', sans-serif;
    font-weight: 600;
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-secondary {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    border-radius: 0px;
}


/*** Navbar ***/
.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.navbar-light .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 25px 0;
    color: #FFFFFF;
    font-size: 15px;
    text-transform: uppercase;
    outline: none;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link.active {
    color: var(--primary);
}

@media (max-width: 991.98px) {
    .navbar-light .navbar-nav .nav-link  {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar-light .navbar-nav {
        border-top: 1px solid #EEEEEE;
    }
}

.navbar-light .navbar-brand,
.navbar-light a.btn {
    height: 75px;
}

.navbar-light .navbar-nav .nav-link {
    color: var(--dark);
    font-weight: 500;
}

.navbar-light.sticky-top {
    top: -100px;
    transition: .5s;
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        margin-top: 0;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .dropdown-menu.fade-down {
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        transform: rotateX(0deg);
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}


/*** Header carousel ***/
@media (max-width: 768px) {
    .header-carousel .owl-carousel-item {
        position: relative;
        min-height: 500px;
    }

    .header-carousel .owl-carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

.header-carousel .owl-nav {
    position: absolute;
    top: 50%;
    right: 8%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
}

.header-carousel .owl-nav .owl-prev,
.header-carousel .owl-nav .owl-next {
    margin: 7px 0;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: transparent;
    border: 1px solid #FFFFFF;
    font-size: 22px;
    transition: .5s;
}

.header-carousel .owl-nav .owl-prev:hover,
.header-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    border-color: var(--primary);
}


.page-header-inner {
    background: rgba(15, 23, 43, .7);
}

.breadcrumb-item + .breadcrumb-item::before {
    color: var(--light);
}


/*** Section Title ***/
.section-title {
    position: relative;
    display: inline-block;
    text-transform: uppercase;
}

.section-title::before {
    position: absolute;
    content: "";
    width: calc(100% + 80px);
    height: 2px;
    top: 4px;
    left: -40px;
    background: var(--primary);
    z-index: -1;
}

.section-title::after {
    position: absolute;
    content: "";
    width: calc(100% + 120px);
    height: 2px;
    bottom: 5px;
    left: -60px;
    background: var(--primary);
    z-index: -1;
}

.section-title.text-start::before {
    width: calc(100% + 40px);
    left: 0;
}

.section-title.text-start::after {
    width: calc(100% + 60px);
    left: 0;
}


/*** Service ***/
.service-item {
    background: var(--light);
    transition: .5s;
}

.service-item:hover {
    margin-top: -10px;
    background: var(--warning);
}

.service-item * {
    transition: .5s;
}

.service-item:hover * {
    color: var(--light) !important;
}


/*** Categories & Courses ***/
.category img,
.course-item img {
    transition: .5s;
}

.category a:hover img,
.course-item:hover img {
    transform: scale(1.1);
}


/*** Team ***/
.team-item img {
    transition: .5s;
}

.team-item:hover img {
    transform: scale(1.1);
}


/*** Testimonial ***/
.testimonial-carousel::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

.testimonial-carousel::after {
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

@media (min-width: 768px) {
    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 200px;
    }
}

@media (min-width: 992px) {
    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 300px;
    }
}

.testimonial-carousel .owl-item .testimonial-text,
.testimonial-carousel .owl-item.center .testimonial-text * {
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-text {
    background: var(--primary) !important;
}

.testimonial-carousel .owl-item.center .testimonial-text * {
    color: #FFFFFF !important;
}

.testimonial-carousel .owl-dots {
    margin-top: 24px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    border: 1px solid #CCCCCC;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    background: var(--primary);
    border-color: var(--primary);
}


/*** Footer ***/
.footer .btn.btn-social {
    margin-right: 5px;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--light);
    font-weight: normal;
    border: 1px solid #FFFFFF;
    border-radius: 35px;
    transition: .3s;
}

.footer .btn.btn-social:hover {
    color: var(--warning);
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #FFFFFF;
    font-size: 15px;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .btn.btn-link.active {
    color: var(--primary)!important;
}
.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .footer-menu a {
    margin-right: 15px;
    padding-right: 15px;
    border-right: 1px solid rgba(255, 255, 255, .1);
}

.footer .footer-menu a:last-child {
    margin-right: 0;
    padding-right: 0;
    border-right: none;
}

.font-5{
    font-size: 5px;
  }
  .font-9{
      font-size: 9px;
  }
  .font-10{
      font-size: 10px;
  }
  .font-11{
      font-size: 11px;
  }
  .font-12{
      font-size: 12px;
  }
  .font-14{
      font-size: 14px;
  }
  .font-16{
      font-size: 16px;
  }
  .font-18{
      font-size: 18px;
  }
  .font-20{
      font-size: 20px;
  }
  .font-22{
      font-size: 22px;
  }
  .font-24{
      font-size: 24px;
  }


  /* for all images in ckeditor textarea */
  .contentDiv img p>img{
    width: 90%!important;
    height: auto!important;
    display: block !important;
    margin: 0 auto;
    }
    .contentDiv p, li, div, span{
    text-align: justify;
    }

 /*For blog page*/
 .post_div{
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.2), 0 1px 6px 0 rgba(0, 0, 0, 0.19);
    transition: .5s;
}
.post_div:hover{
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.title-link{
  text-decoration: none;
  font-weight: bold;
  color: black;
  transition: .4s;
}
.title-link:hover{
  cursor: pointer;
  color: #0497a4;
}
 /*end blog page*/

/* login modal css */

.login-page {
  min-height: 100vh;
  position: relative;
}

.login-page::before {
  content: "";
  display: block;
  z-index: -1;
  -webkit-filter: blur(10px);
  filter: blur(10px);
  z-index: 1;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.login-page .container {
  z-index: 999;
}

.align-items-center {
  -webkit-box-align: center !important;
  -ms-flex-align: center !important;
  align-items: center !important;
}
.input-material-group {
  position: relative;
  padding-top: 0.85rem;
}

.input-material-group .input-material {
  border: none;
  background: none;
  padding: 0.375rem 0;
  border-bottom: 1px solid #ebeef0;
  display: block;
  width: 100%;
}

.input-material-group .input-material:focus-visible {
  outline: none;
}

.input-material-group .input-material.js-validate-error-field {
  border-top: none !important;
  border-left: none !important;
  border-right: none !important;
}

.input-material-group .input-material.is-invalid {
  position: relative;
  background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.input-material-group .input-material.is-valid {
  position: relative;
  background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
  border-color: #28a745;
}

.input-material-group .input-material.is-valid + label {
  color: #28a745 !important;
}

.input-material-group .label-material {
  position: absolute;
  top: 1.225rem;
  left: 0;
  font-size: 16px;
  color: #a1a8ae;
  cursor: text;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transform-origin: left center;
  transform-origin: left center;
  -webkit-transform: none;
  transform: none;
}

.input-material-group .label-material.active {
  -webkit-transform: scale(0.85);
  transform: scale(0.85);
  top: -6px;
  color: #7000F4;
  font-weight: bold;
}

/* Make modal-body scrollable */
.my-modal-body {
  max-height: 70vh; /* adjust if needed */
  overflow-y: auto;
}

/* Sticky modal header */
.my-modal-header {
  position: sticky;
  top: 0;
  z-index: 1055;
  background-color: #fff;
}

/* Sticky my-footer (just above modal-footer) */
.my-footer {
  position: sticky;
  bottom: 60px; /* push it just above modal-footer */
  z-index: 1054;
  background-color: #f8f9fa; /* Bootstrap bg-light */
}

/* Sticky modal footer */
.my-modal-footer {
  position: sticky;
  bottom: 0;
  z-index: 1055;
  background-color: #fff;
}

.product-link {
    text-decoration: none;
    color: black;
}
.product-link:hover {
    color: rgb(227, 71, 4);
}

